import { useContext } from "react";
import { AppPath, AppRouting } from "../../model/routing";
import {
  ExpressionPracticeView,
  ExpressionSetDetailsView,
  ExpressionSetListView,
} from "../../views";
import { AddExpressionView } from "../../views/AddExpressionView";
import { HomeView } from "../../views/HomeView";

export function Page() {
  const { route } = useContext(AppRouting);
  console.log("Route:", JSON.stringify(route));

  switch (route.path) {
    case AppPath.Home:
      return <HomeView />;
    case AppPath.ExpressionSets:
      return <ExpressionSetListView />;
    case AppPath.ExpressionSetsDetails:
      return <ExpressionSetDetailsView />;
    case AppPath.ExpressionSetsPractice:
      return <ExpressionPracticeView />;
    case AppPath.Settings:
      // TODO this should split onto more views
      return <AddExpressionView />;
  }
}
